Subject: Re: Build bug report: 'make check' needs sparse, but configure doesn't check it

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 5 Oct 2008 23:58:47 -0700

Ed Avis <[email-masked]> wrote:
> Dmitry Potapov <dpotapov <at> gmail.com> writes:
> 
> >The whole point of 'make check' is to run 'sparce' on all files.
> 
> >If you want to build
> >and to test the resulting binaries then you run 'make test'.
> 
> To reduce confusion I suggest renaming the target to 'make sparse'.  Then it's
> obvious what it does and it can't get confused with the more common usage of
> 'make check'.

Nah.  We're not going to rename the target to "make sparse".
First off that sounds like we are compiling the sparse binary for
the user, and we will never do that.  And existing developers who
use "make check" to run sparse are used to that calling convention.

-- 
Shawn.